/*
 * Copyright 2019-2020 StreamThoughts.
 *
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package io.streamthoughts.azkarra.runtime.interceptors.monitoring.ce;

import org.junit.jupiter.api.Test;

import java.util.Arrays;
import java.util.Collections;
import java.util.Map;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class CloudEventsExtensionTest {

    @Test
    public void shouldMarshalExtensionAsMap() {

        final Map<String, Object> extensions = CloudEventsExtension.marshal(Arrays.asList(
            () -> Collections.singletonMap("key1", "value1"),
            () -> Collections.singletonMap("key2", "value2"))
        );
        assertEquals(2, extensions.size());
        assertEquals("value1", extensions.get("key1"));
        assertEquals("value2", extensions.get("key2"));
    }
}